## ros-kinetic-rqt-launchtree 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_launchtree)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_launchtree
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-launchtree (0.2.0-0xenial) xenial; urgency=high

  * Merge branch '130s-impr/save_status' into kinetic
  * Store pkg name instead of index and also remember launch args
  * Save and restore last pkg and launch file (address #4 <https://github.com/pschillinger/rqt_launchtree/issues/4>).
  * Hide old properties if new file is loaded
  * Adapted changes of pyqt5
  * Contributors: Isaac I.Y. Saito, Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 10 Dec 2016 23:00:00 -0000

ros-kinetic-rqt-launchtree (0.1.4-0xenial) xenial; urgency=high

  * Hide or display machine entries according to nodes (fix #2 <https://github.com/pschillinger/rqt_launchtree/issues/2>)
  * Account for different entries with same name (fix #1 <https://github.com/pschillinger/rqt_launchtree/issues/1>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Sat, 21 May 2016 22:00:00 -0000

ros-kinetic-rqt-launchtree (0.1.3-0xenial) xenial; urgency=high

  * Improved support for rosparam file includes
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 06 May 2016 22:00:00 -0000

ros-kinetic-rqt-launchtree (0.1.2-0xenial) xenial; urgency=high

  * Changed maintainer email to avoid wrong impression about company involvement
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Thu, 28 Apr 2016 22:00:00 -0000

ros-kinetic-rqt-launchtree (0.1.1-0xenial) xenial; urgency=high



 -- Philipp Schillinger <schillin@kth.se>  Fri, 22 Apr 2016 22:00:00 -0000

ros-kinetic-rqt-launchtree (0.1.0-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <schillin@kth.se>  Fri, 22 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-launchtree
Section: misc
Priority: extra
Maintainer: Philipp Schillinger <schillin@kth.se>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/rqt_launchtree
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-launchtree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roslaunch, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py
Description: An RQT plugin for hierarchical launchfile configuration introspection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-launchtree//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
